Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.aspectwerkz.definition
Class InterfaceIntroductionDefinition

    java.lang.Object
      org.codehaus.aspectwerkz.definition.InterfaceIntroductionDefinition

    public class InterfaceIntroductionDefinition

extends Object

Holds the meta-data for the interface introductions.

This definition holds only pure interface introduction.

Author:
  Jonas Bonr , Alexandre Vasseur

Field Summary
`protected String` | `m_attribute` The attribute for the introduction.
`protected ExpressionInfo[]` | `m_expressionInfos` The introduction expressions.
`protected List` | `m_interfaceClassNames` The interface classes name.
`protected String` | `m_name` The name of the interface introduction.

Constructor Summary
`InterfaceIntroductionDefinition(String name, String interfaceClassName)` Creates a new introduction meta-data instance.

Method Summary
`void` | `addExpressionInfo(ExpressionInfo expression)` Adds a new expression info.
`void` | `addExpressionInfos(ExpressionInfo[] expressions)` Adds an array with new expression infos.
`String` | `getAttribute()` Returns the attribute.
`ExpressionInfo[]` | `getExpressionInfos()` Returns the expressions.
`String` | `getInterfaceClassName()` Returns the class name of the interface.
`List` | `getInterfaceClassNames()` Returns the class name of the interface.
`String` | `getName()` Returns the name of the introduction.
`void` | `setAttribute(String attribute)` Sets the attribute.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_name

    protected final String m_name

  The name of the interface introduction.

### m_expressionInfos

    protected ExpressionInfo[] m_expressionInfos

  The introduction expressions.

### m_attribute

    protected String m_attribute

  The attribute for the introduction.

### m_interfaceClassNames

    protected List m_interfaceClassNames

  The interface classes name.

Constructor Detail

### InterfaceIntroductionDefinition

    public InterfaceIntroductionDefinition(String name,
                                           String interfaceClassName)

  Creates a new introduction meta-data instance.

  Parameters:
    `name` - the name of the expressionInfo
    `interfaceClassName` - the class name of the interface

Method Detail

### getName

    public String getName()

  Returns the name of the introduction.

  Returns:
    the name

### getExpressionInfos

    public ExpressionInfo[] getExpressionInfos()

  Returns the expressions.

  Returns:
    the expressions array

### getInterfaceClassName

    public String getInterfaceClassName()

  Returns the class name of the interface.

  Returns:
    the class name of the interface

### getInterfaceClassNames

    public List getInterfaceClassNames()

  Returns the class name of the interface.

  Returns:
    the class name of the interface

### getAttribute

    public String getAttribute()

  Returns the attribute.

  Returns:
    the attribute

### setAttribute

    public void setAttribute(String attribute)

  Sets the attribute.

  Parameters:
    `attribute` - the attribute

### addExpressionInfo

    public void addExpressionInfo(ExpressionInfo expression)

  Adds a new expression info.

  Parameters:
    `expression` - a new expression info

### addExpressionInfos

    public void addExpressionInfos(ExpressionInfo[] expressions)

  Adds an array with new expression infos.

  Parameters:
    `expressions` - an array with new expression infos

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Jonas Bonér, Alexandre Vasseur. All Rights Reserved.